---
title: "About"
date: 2023-07-10
draft: false
---

# About the Community Dispute Protocol Builder

This is an early-stage experiment and should be used with caution! Please share your feedback with the [Media Economies Design Lab](https://medlab.host).

The CommunityDispute Protocol Builder is a tool designed to help communities develop customized frameworks for addressing and resolving conflicts. Rather than imposing a one-size-fits-all solution, this tool empowers communities to create protocols that reflect their unique values, culture, and specific needs.

## How the Builder Works

The Protocol Builder guides you through creating a dispute resolution system using a modular approach:

### 1. Start from Templates or Build from Scratch

Begin with one of our pre-designed templates based on restorative justice, transformative justice, or consensus-based approaches—or start with a blank slate and build your own custom protocol.

### 2. Customize Each Stage

The builder walks you through six key stages of dispute resolution:

1. **Preparation**: Establishing core values, principles, and participant roles
2. **Initiation**: Defining how disputes are raised, acknowledged, and entered into the process
3. **Exploration**: Investigating and understanding the facts, perspectives, and underlying needs
4. **Deliberation**: Discussing potential solutions and working toward agreements
5. **Resolution**: Finalizing, documenting, and implementing solutions
6. **Follow-up**: Evaluating outcomes, ensuring accountability, and making improvements

### 3. Export and Share

When your protocol is complete, export it as:
- A formatted PDF to share with your community
- A Markdown document for easy editing and version control
- A JSON file that can be imported back into the builder for future updates

## Get Started

<div class="cta-container">
Ready to create your community's dispute protocol? 

<a href="/builder" class="cta-button">Start Building Your Protocol</a>
</div>
